org.firebirdsql.gds.impl.wire

## Class WireGDSFactoryPlugin

- java.lang.Object
- - org.firebirdsql.gds.impl.BaseGDSFactoryPlugin
  - - org.firebirdsql.gds.impl.wire.WireGDSFactoryPlugin

- All Implemented Interfaces:
    GDSFactoryPlugin

      public class WireGDSFactoryPlugin
      extends BaseGDSFactoryPlugin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PURE_JAVA_TYPE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WireGDSFactoryPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FbWireDatabaseFactory` | `getDatabaseFactory()`
    `java.lang.String` | `getDatabasePath(java.lang.String server, java.lang.Integer port, java.lang.String path)`
    `java.lang.String` | `getDefaultProtocol()`
    `java.lang.String` | `getPluginName()`
    `java.lang.String[]` | `getSupportedProtocols()`
    `java.lang.String[]` | `getTypeAliases()`
    `java.lang.String` | `getTypeName()`

    - ### Methods inherited from class org.firebirdsql.gds.impl.BaseGDSFactoryPlugin

      `equals, getConnectionClass, getDatabasePath, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PURE_JAVA_TYPE_NAME

          public static final java.lang.String PURE_JAVA_TYPE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WireGDSFactoryPlugin

          public WireGDSFactoryPlugin()

  - ### Method Detail

    - #### getPluginName

          public java.lang.String getPluginName()

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getTypeAliases

          public java.lang.String[] getTypeAliases()

    - #### getSupportedProtocols

          public java.lang.String[] getSupportedProtocols()

    - #### getDefaultProtocol

          public java.lang.String getDefaultProtocol()

      Specified by:
        `getDefaultProtocol` in interface `GDSFactoryPlugin`
      Overrides:
        `getDefaultProtocol` in class `BaseGDSFactoryPlugin`

    - #### getDatabasePath

          public java.lang.String getDatabasePath(java.lang.String server,
                                                  java.lang.Integer port,
                                                  java.lang.String path)
                                           throws GDSException

      Throws:
        `GDSException`

    - #### getDatabaseFactory

          public FbWireDatabaseFactory getDatabaseFactory()

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.